import type { Options as ClientOptions, TDataShape, Client } from '@hey-api/client-fetch';
import type { SystemUpdateData, SystemHibernateData, SystemMetricsData } from './types.gen';
export type Options<TData extends TDataShape = TDataShape, ThrowOnError extends boolean = boolean> = ClientOptions<TData, ThrowOnError> & {
    /**
     * You can provide a client instance returned by `createClient()` instead of
     * individual options. This might be also useful if you want to implement a
     * custom client.
     */
    client?: Client;
};
/**
 * Update system
 * Update the sandbox system
 */
export declare const systemUpdate: <ThrowOnError extends boolean = false>(options: Options<SystemUpdateData, ThrowOnError>) => import("@hey-api/client-fetch").RequestResult<import("./types.gen").SuccessResponse & {
    result?: {
        [key: string]: unknown;
    };
}, import("./types.gen").ErrorResponse & {
    error?: import("./types.gen").SystemError;
}, ThrowOnError>;
/**
 * Hibernate system
 * Put the sandbox system into hibernation mode
 */
export declare const systemHibernate: <ThrowOnError extends boolean = false>(options: Options<SystemHibernateData, ThrowOnError>) => import("@hey-api/client-fetch").RequestResult<import("./types.gen").SuccessResponse & {
    result?: unknown;
}, import("./types.gen").ErrorResponse & {
    error?: import("./types.gen").SystemError;
}, ThrowOnError>;
/**
 * Get system metrics
 * Retrieve current system metrics including CPU, memory and storage usage
 */
export declare const systemMetrics: <ThrowOnError extends boolean = false>(options: Options<SystemMetricsData, ThrowOnError>) => import("@hey-api/client-fetch").RequestResult<import("./types.gen").SuccessResponse & {
    result?: import("./types.gen").SystemMetricsStatus;
}, import("./types.gen").ErrorResponse & {
    error?: import("./types.gen").SystemError;
}, ThrowOnError>;
